お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2007-05-17 07:40:31

yamadatarou
メンバ
登録日: 2007-05-17

ubuntuにgdbm-1.8.3をインストール

したいのですがどうもうまくいきません。LINUXを使いはじめて日が浅いため原因もわからずさまよってここにきました。
configureをすると
[email protected]:~/gdbm-1.8.3$ ./configure
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH
[email protected]:~/gdbm-1.8.3$
こうなります。原因と解決方法がわかる方、おねがいします。

オフライン

 

#2 2007-05-17 08:01:38

anoir
モデレータ
From: Berkeley, CA
登録日: 2007-01-13

Re: ubuntuにgdbm-1.8.3をインストール

Ubuntuのレポジトリにあるlibgdbm3のバージョンは1.8.3-3です。インストールはシステムの管理メニューからシナプティックを起動するか、ターミナルからsudo apt-get install libgdm3でいいはずです。developmentファイルはlibgdm-devです。

コンパイルがうまくいかないのはコンパイラが導入されていないからです。build-essentialパッケージをインストールしてください(同様にsynapticないしapt-get/aptitude)。

オフライン

 

#3 2007-05-17 08:24:11

yamadatarou
メンバ
登録日: 2007-05-17

Re: ubuntuにgdbm-1.8.3をインストール

さっそくのお返事ありがとうございます。build-essentialをインストールしようとしたのですが

[email protected]:~$ sudo apt-get install build-essential
Password:
となりパスワードを入力しようとしてもできませんorz
他にインストールする方法があるのでしょうか?たびたび申し訳ないです。親切な誰か本当にお願いします。
あまりにわからないことだらけで情けない思いです。よろしくおねがいします。

オフライン

 

#4 2007-05-17 09:00:22

yamadatarou
メンバ
登録日: 2007-05-17

Re: ubuntuにgdbm-1.8.3をインストール

ありがとうございます。シナプティックからlibgdm-devはインストールできました。同様にbuild-essentialもインストールすればよいのですね?よく読まず申し訳ございません。慌ててました。本当にありがとうございました。

オフライン

 

#5 2007-05-17 12:25:58

anoir
モデレータ
From: Berkeley, CA
登録日: 2007-01-13

Re: ubuntuにgdbm-1.8.3をインストール

同様にbuild-essentialもインストールすればよいのですね?

問題ありません。シナプティックからインストールするのと、コマンドラインでapt-get/aptitudeを使うのとは実質的に全く同じです。

となりパスワードを入力しようとしてもできませんorz

sudoではパスワードを入力しても表示はされません。パスワードを入力してエンターを押してください。

オフライン

 

#6 2007-05-17 21:00:14

yamadatarou
メンバ
登録日: 2007-05-17

Re: ubuntuにgdbm-1.8.3をインストール

ありがとうございます。おかげさまでbuild-essentialも無事インストールできました。
ありがとうございました。

オフライン

 

Board footer

Powered by FluxBB